/*
 Copyright:      Hagen Reddmann  mailto HaReddmann at T-Online dot de
 Author:         Hagen Reddmann
 Remarks:        this Copyright must be included
 known Problems: none
 Version:        2.1. 2004
 Description:    Grafic Library for Nokia 6100 Display and compatible
*/

.nolist
#include "glcd.inc"
#include "regs.inc"
.list

        .text
        .global glcdSetAddr             // used T0,T1 stack 1
glcdSetAddr:
        lds     T0, glcd_MemCtrl        // don't touch D0,D1,__tmp_reg__,__zero_reg__
        ldi     T1, SET_X_ADDR
        sbrc    T0, MEM_90
        inc     T1
        fcall   glcdDispCommand
        mov     T1, X1
        fcall   glcdDispData            // must clear T flag
        mov     T1, X2
        fcall   glcdDispSend            // T flag already cleared
        ldi     T1, SET_X_ADDR
        sbrs    T0, MEM_90
        inc     T1
        fcall   glcdDispCommand
        mov     T1, Y1
        fcall   glcdDispData
        mov     T1, Y2
        fcall   glcdDispSend
        ldi     T1, MEM_WRITE           // send MEM_WRITE command to allow glcdPutPixel() after glcdSetAddr()
        fjmp    glcdDispCommand

.end
